require_relative 'lib/rearrange_bayesian_symbolic/version'

Gem::Specification.new do |spec|
  spec.name          = "rearrange_bayesian_symbolic"
  spec.version       = RearrangeBayesianSymbolic::VERSION
  spec.authors       = ["Gitea"]
  spec.email         = ["gitea@fake.local"]

  spec.summary       = %q{Shuffle, bayesian, and symbolic AI processes to generating the likeliness of a customer relationship over time.}
  spec.description   = %q{This combines shuffling, statistics, and symbolic AI to carry out a similar process in the real world: take a deck of randomized flash cards, write down the names of potential customer types, and gradually eliminate customer possibilities using symbolic association. Dreamed while designing tree houses.}
  spec.homepage      = ""
  spec.license       = "MIT"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
